IF NOT EXISTS
(
  SELECT SysColumns.Name 
  FROM SysObjects WITH (NOLOCK) 
    INNER JOIN SysColumns WITH (NOLOCK) ON SysColumns.Id = SysObjects.ID 
    AND SysColumns.Name = 'StartWeekDay'
    AND SysObjects.Name = 'Products'

)
  ALTER TABLE Products ADD StartWeekDay INT NULL
